List redaction entities
curl --request GET \
--url https://api.sandbox.asapp.com/configuration/v1/redaction-entities \
--header 'asapp-api-id: <api-key>' \
--header 'asapp-api-secret: <api-key>'import requests
url = "https://api.sandbox.asapp.com/configuration/v1/redaction-entities"
headers = {
"asapp-api-id": "<api-key>",
"asapp-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'asapp-api-id': '<api-key>', 'asapp-api-secret': '<api-key>'}
};
fetch('https://api.sandbox.asapp.com/configuration/v1/redaction-entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"redactionEntities": [
{
"id": "CREDIT_CARD_NUMBER",
"description": "Redacts credit card number",
"policies": {
"customerImmediate": false,
"customerDelayed": false,
"agentImmediate": false
}
}
],
"nextCursor": "CVV",
"prevCursor": "PHONE_NUMBER"
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "400-01",
"message": "Bad request"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "401-01",
"message": "Unauthorized"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "403-01",
"message": "Forbidden Response"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "404-01",
"message": "Not Found"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "409-01",
"message": "Conflict"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "413-01",
"message": "Request Entity Too Large"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "422-01",
"message": "Unprocessable Entity"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "429-01",
"message": "Too Many Requests"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "500-01",
"message": "Internal server error"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "503-01",
"message": "Service Unavailable"
}
}Redaction Entities
List redaction entities
Lists all available redaction entities and their current activation status across different policies.
Redaction entities represent different types of sensitive information that can be automatically redacted from conversations. Each entity can be independently enabled or disabled for different redaction policies:
- Customer Immediate: Redaction in real-time for customer-facing content
- Customer Delayed: Redaction for stored customer-facing content
- Agent Immediate: Real-time redaction for agent-facing content
- Auto Transcribe: Redaction in transcription output
- Voice: Redaction in voice content
The API returns immediately, but the redaction service can take up to 1 minute to incorporate the redaction change.
GET
/
configuration
/
v1
/
redaction-entities
List redaction entities
Query Parameters
The cursor pointing to the current position
The maximum amount of objects to retrieve
Required range:
1 <= x <= 100Response
Successfully retrieved the redaction entities.
Was this page helpful?